#' Get the base of the filename base without extension
#'
#' The path need not to actually exist
#' @param filename A filename
#' @return That filename without its full path and extension
#' @examples
#' library(testthat)
#'
#' # Path need not exist, use UNIX path as example
#' expect_equal(
#'   get_file_base_sans_ext("/home/homer/test.txt"),
#'   "test"
#' )
#' @author Richèl J.C. Bilderbeek
#' @export
get_file_base_sans_ext <- function(filename) {
  basename(tools::file_path_sans_ext(filename))
}
